﻿VERSION 1.0 CLASS
BEGIN
  MultiUse = -1 'True
END
Attribute VB_PredeclaredId = False
Attribute VB_Creatable = True
Attribute VB_Exposed = False
Attribute VB_GlobalNameSpace = False
Attribute VB_Name = "NameDialog"
'#Language "WWB.NET"

Imports System

' Define the dialog window and .NET framework controls
Private WithEvents wndMain As Windows.Window
Private WithEvents txtFirstName As Windows.Controls.TextBox
Private WithEvents txtLastName As Windows.Controls.TextBox
Private WithEvents txtFullName As Windows.Controls.TextBlock

Private Sub Class_Initialize()
    Using reader As New Xml.XmlTextReader(MacroDir & "\NameDialog.xaml")
        wndMain = Windows.Markup.XamlReader.Load(reader)
    End Using

    ' Bind the .NET framework controls to the instantiated XAML dialog elements
    txtFirstName = wndMain.FindName("firstNameTextBox")
    txtLastName = wndMain.FindName("lastNameTextBox")
    txtFullName = wndMain.FindName("fullNameTextBlock")

    txtFirstName.Text = "Joshua"
    txtLastName.Text = "Lincoln"
End Sub

Private Sub Class_Terminate()
    If Not wndMain Is Nothing Then
        wndMain.Close
    End If
End Sub

' Show the XAML Dialog (modeless - can be debugged in WinWrap Basic)
Public Sub Show()
    System.Windows.Forms.Integration.ElementHost.EnableModelessKeyboardInterop(wndMain)
    wndMain.Show
    While wndMain.IsVisible
        Wait .1
    End While
End Sub

' Show the XAML Dialog (modal - can't be debugged in WinWrap Basic)
Public Sub ShowDialog()
    wndMain.ShowDialog
End Sub

Private Sub txtFirstName_TextChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.TextChangedEventArgs) Handles txtFirstName.TextChanged
    txtFullName.Text = String.Format("{0} {1}", txtFirstName.Text, txtLastName.Text)
End Sub

Private Sub txtLastName_TextChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.TextChangedEventArgs) Handles txtLastName.TextChanged
    txtFullName.Text = String.Format("{0} {1}", txtFirstName.Text, txtLastName.Text)
End Sub
